/*
 * This file is part of BitSnake.

 * BitSnake is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * BitSnake is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with BitSnake.  If not, see <https://www.gnu.org/licenses/>.
 */

html {
	display: flex;
	height: 100%;
	justify-content: center;
	align-items: center;
}

@media screen and (max-height: 420px) {
	html {
		align-items: start;
	}
}

.column {
	display: flex;
	flex-flow: column nowrap;
}

.row {
	display: flex;
	flex-flow: row wrap;
	justify-content: space-around;
	margin: 5px 0;
}

.row * {
	display: inline-block;
	margin: 0;
}

.hidden {
	display: none;
}

span {
	color: red;
}

#modal {
	display: none;
	position: fixed;
	z-index: 1;
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	overflow: auto;
	background-color: rgb(0,0,0);
	background-color: rgba(0,0,0,0.4);
	justify-content: center;
	align-items: center;
}

#modal-content {
	background-color: #fefefe;
	padding: 20px;
}

p {
	display: block;
}

a {
	text-decoration: none;
	color: black;
}